package com.engine.salary.service;

import com.engine.salary.entity.siaccount.param.BalanceAccountBaseParam;
import com.engine.salary.entity.siaccount.param.InspectAccountParam;

import java.util.List;
import java.util.Map;


public interface SIBalanceService {

    void del(InspectAccountParam param, Long employeeId);

    /**
     * 获取待编辑的补差费用相关福利项
     */
    List<Map<String, String>> getPaymentGroup(BalanceAccountBaseParam param);

    void addNewBalance(BalanceAccountBaseParam param);
}
